import { executeQuery } from '../Connection/QueriesExecutor.js'

const getRetailGeneralParams = async function () {
    const result = await executeQuery({sql: 'GET_RETAIL_GENERAL_PARAMS', binds: {}, rawReturn: true })

    // RESTO DE MOCK ATE CRIAR NA TABELA - REMOVER
    result[0].EMAILOPER_FIN = 'victor.rezende@teknisa.com'
    result[0].SENHAOPER_FIN = 'c4ca4238a0b923820dcc509a6f75849b'
    // RESTO DE MOCK ATE CRIAR NA TABELA - REMOVER

    return result[0]
}

const getRetailSpecificParams = async function (CDCLIENTE, CDFILIAL) {
    const result = await executeQuery({sql: 'GET_RETAIL_SPECIFIC_PARAMS', 
        binds: { CDCLIENTE, CDFILIAL },
        rawReturn: true
    })

    return result[0]
}

export default { getRetailGeneralParams, getRetailSpecificParams }
